Skip to main content
`Ctrl`+`K`

# MatCreateLaplacian

Create the matrix Laplacian, with all values in the matrix less than the tolerance set to zero

## Synopsis

    #include <petscmat.h>
    PetscErrorCode MatCreateLaplacian(Mat A, PetscReal tol, PetscBool weighted, Mat *L)

## Input Parameters

- A - The matrix

- tol - The zero tolerance

- weighted - Flag for using edge weights

## Output Parameter

- L - The graph Laplacian matrix

## See Also

`MatFilter()`, `MatGetGraph()`

## Level

intermediate

## Location

src/mat/graphops/order/spectral.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages